/* $Id: VLLogInspector.h,v 1.7 2002/06/21 10:08:50 stephane Exp $ */

// Copyright (c) 1997-2001, Sen:te Ltd.  All rights reserved.
//
// Use of this source code is governed by the license in OpenSourceLicense.html
// found in this distribution and at http://www.sente.ch/software/ ,  where the
// original version of this source code can also be found.
// This notice may not be removed from this file.

#import <CVLInspector.h>
#import <AppKit/AppKit.h>


@interface VLLogInspector:CVLInspector
{
    IBOutlet NSTableView *table;
    IBOutlet NSTextView *logField;
    NSArray *logArray;
    BOOL needsSorting;
    NSMutableArray	*lastSelectedRows;
    BOOL	isChangingSelection;
}


- (IBAction) showLog:sender;
- (IBAction ) select:sender;
- (IBAction) showDifference:(id)sender;

@end
