/* CvsPserverRepository.h created by ja on Mon 16-Feb-1998 */
/*$Id: CvsPserverRepository.h,v 1.5 2002/07/01 16:02:12 stephane Exp $*/

// Copyright (c) 1997-2001, Sen:te Ltd.  All rights reserved.
//
// Use of this source code is governed by the license in OpenSourceLicense.html
// found in this distribution and at http://www.sente.ch/software/ ,  where the
// original version of this source code can also be found.
// This notice may not be removed from this file.

#ifdef MACOSX
#import <CvsRemoteRepository.h>
#else
#import <Repositories/CvsRemoteRepository.h>
#endif


@class CvsRequest;


extern NSString	*CvsPserverHasNoCvsWrappersNotification;
// User has no .cvswrappers in its home directory.
// Notification is sent only once after first login to a pserver (or after first initialization, if already logged in) => no more than once per session
// Sender is the class; no userInfo


@interface CvsPserverRepository : CvsRemoteRepository
{
    CvsRequest *loginRequest;
    BOOL isLoggedIn;
    NSString *password;
    BOOL checkedLocalCVSWrappers;
}

@end
