/* CVLUnwrapRequest.h created by stephane on Fri 25-Feb-2000 */
/*$Id: CVLUnwrapRequest.h,v 1.2 2002/06/14 17:20:25 kindov Exp $*/
/* Copyright (c) 1997, Sen:te Ltd.  All rights reserved. */

#ifdef MACOSX
#import <TaskRequest.h>
#else
#import <Requests/TaskRequest.h>
#endif


// CVLUnwrapRequest calls script unwrap.sh (performs a gunzip | gnutar xf)
// It is useful to correct a bug with cvs: when a wrapper is retrieved by cvs update -R | -D, cvs forgets to unwrap it...
// Using this request, explicitly (is must follow a CvsUpdateRequest), will correct this problem
// unwrap.sh path is stored in UserDefaults <unwrap>
// This request is called by -[CvsUpdateRequest end], if needed

@interface CVLUnwrapRequest : TaskRequest
{
}

+ (id) unwrapRequestForWrapper:(NSString *)aPath;

@end
