/* CvsLoginRequest.h created by ja on Thu 04-Dec-1997 */
/*$Id: CvsLoginRequest.h,v 1.3 2001/03/30 07:57:03 stephane Exp $*/

// Copyright (c) 1997-2001, Sen:te Ltd.  All rights reserved.
//
// Use of this source code is governed by the license in OpenSourceLicense.html
// found in this distribution and at http://www.sente.ch/software/ ,  where the
// original version of this source code can also be found.
// This notice may not be removed from this file.

#ifdef MACOSX
#import <CvsRequest.h>
#else
#import <Requests/CvsRequest.h>
#endif

#define STATE_LOGIN_FIRST_PANEL 4
#define STATE_LOGIN_PANEL 5

@interface CvsLoginRequest : CvsRequest
{
    NSString *password;
    BOOL allowRepositoryEditing;
    NSFileHandle *cvsInput;
    NSMutableString *summedOutput;
}

+ (CvsLoginRequest *)cvsLoginRequest;
+ (CvsLoginRequest *)cvsLoginRequestForRepository:(CvsRepository *)aRepository;
+ (CvsLoginRequest *)cvsLoginRequestForRepository:(CvsRepository *)aRepository withPassword:(NSString *)password;

- (void)setPassword:(NSString *)passwordString;
@end
