/* CvsStatusRequest.h created by ja on Thu 04-Sep-1997 */

// Copyright (c) 1997-2001, Sen:te Ltd.  All rights reserved.
//
// Use of this source code is governed by the license in OpenSourceLicense.html
// found in this distribution and at http://www.sente.ch/software/ ,  where the
// original version of this source code can also be found.
// This notice may not be removed from this file.

#ifdef MACOSX
#import <CvsRequest.h>
#else
#import <Requests/CvsRequest.h>
#endif


@class NSMutableDictionary;


extern NSString* CvsStatusExaminingPattern;
extern NSString* CvsStatusStatusPattern;
extern NSString* CvsStatusRevisionPattern;
extern NSString* CvsStatusStickyTagPattern;
extern NSString* CvsStatusStickyOptionsPattern;
extern NSString* CvsStatusStickyDatePattern;
extern NSString* CvsStatusLineOfEqualsPattern;


@interface CvsStatusRequest : CvsRequest
{
    NSMutableString *parsingBuffer;
    NSMutableDictionary *result;
    NSString *statusCmdDir;
}
+ (CvsStatusRequest *)cvsStatusRequestForFiles:(NSArray *)files inPath:(NSString *)aPath;
-(NSDictionary *)result;
/*
	Result contains the following keys:
 	status
 	Version
 	Repository Version	optional
 	Last Checkout		optional
 	Sticky Tag			optional
 	Sticky Date			optional
 	Sticky Options		optional
 */

@end
