/* SelectorRequest.h created by stephane on Mon 31-Jan-2000 */
/*$Id: SelectorRequest.h,v 1.3 2001/03/30 07:59:20 stephane Exp $*/

// Copyright (c) 1997-2001, Sen:te Ltd.  All rights reserved.
//
// Use of this source code is governed by the license in OpenSourceLicense.html
// found in this distribution and at http://www.sente.ch/software/ ,  where the
// original version of this source code can also be found.
// This notice may not be removed from this file.

#ifdef MACOSX
#import <CvsRequest.h>
#else
#import <Requests/CvsRequest.h>
#endif


// Will tell target to perform selector with argument
// argument must be an object; it may be nil.
// If execution raises an exception, exception is caught and request finishes unsuccessfully
// target and argument are retained
// On start, checks that selector and target are not NULL/nil, and checks that target responds to selector
// If not, request is cancelled

@interface SelectorRequest : Request
{
    SEL	selector;
    id	target;
    id	argument;
}

+ (id) requestWithTarget:(id)aTarget selector:(SEL)aSelector argument:(id)anArgument;

@end
