/* State.h created by ja on Fri 18-Feb-2000 */
/*$Id: State.h,v 1.2 2002/07/04 12:23:15 stephane Exp $*/
/* Copyright (c) 1997, Sen:te Ltd.  All rights reserved. */

#import <AppKit/AppKit.h>

@class Transition;

@interface State : NSObject
{
    NSMutableArray *transitions;
    NSDictionary *attributes;
    SEL enteringSelector;
    NSString *name;
}
+ (State *)initialStateForStateFile:(NSString *)filePath;
- (State *)nextStateForMachine:(id)machine;
- (id)valueForKey:(NSString *)key;
- (BOOL)isTerminal;
- (SEL)enteringSelector;
@end
