/*
	$id$
*/

// Copyright (c) 1997-2001, Sen:te Ltd.  All rights reserved.
//
// Use of this source code is governed by the license in OpenSourceLicense.html
// found in this distribution and at http://www.sente.ch/software/ ,  where the
// original version of this source code can also be found.
// This notice may not be removed from this file.

#import <Foundation/NSObject.h>

@class NSString;
@class NSArray;

@interface WorkAreaListViewer:NSObject
{
  id window;
  id browser;

  NSString* rootPath;
  int updateCount;
}

+ (WorkAreaListViewer*) listViewerForPath: (NSString*) aPath;

- initForPath: (NSString*) aPath;

- view;

- (NSString*) rootPath;
- (NSArray *) selectedPaths;

@end
//-------------------------------------------------------------------------------------
/*
	$Log: WorkAreaListViewer.h,v $
	Revision 1.3  2001/03/30 08:18:33  stephane
	Updated copyright year
	
	Revision 1.2  2000/05/08 14:04:12  stephane
	Updated copyright notice
	
	Revision 1.1  1998/05/07 11:27:05  ja
	Initial revision
	
	Revision 1.1.2.3  1997/07/30 08:35:38  vincent
	menu changed, services fixed, inspector restored, some bug fixes. Quite slow
	
 * Revision 1.1.2.2  1997/04/02  16:17:04  ja
 * Working again
 *
 * Revision 1.1.2.1  1997/04/02  13:39:36  ja
 * Merged with head, removed conflicts (not compiled yet)
 *
 * Revision 1.1  1997/03/18  15:34:45  vincent
 * big changes: panel size defauts added,  corrected bug at launch. added structure for  multi-viewers, changed menus, added features to status inspector
 *
*/
