/* SenFormPanelController.h created by ja on Wed 25-Feb-1998 */

// Copyright (c) 1997-2001, Sen:te Ltd.  All rights reserved.
//
// Use of this source code is governed by the license in OpenSourceLicense.html
// found in this distribution and at http://www.sente.ch/software/ ,  where the
// original version of this source code can also be found.
// This notice may not be removed from this file.

#import <AppKit/AppKit.h>
#import "SenFormController.h"

@interface SenFormPanelController : NSObject <NSCoding>
{
    SenFormController *formController;
    NSWindow *panel;
}
- (int)showAndRunModal;
- (void)ok:sender;
- (void)cancel:sender;

- (NSWindow *)panel;
- (SenFormController *)formController;

- (NSDictionary *)dictionaryValue;
- (void)setDictionaryValue:(NSDictionary *)newValues;
- (void)addValuesFromDictionary:(NSDictionary *)newValues;
- (id)objectValueForKey:(NSString *)aKey;
- (void)setObjectValue:(id)newValue forKey:(NSString *)aKey;
@end

@interface SenFormPanelController (NSCoding) <NSCoding>
@end