/* NSFileManager_CVS.m created by ja on Fri 04-Feb-2000 */
/*$Id: NSFileManager_CVS.m,v 1.4 2002/07/01 09:52:04 kindov Exp $*/

// Copyright (c) 1997-2001, Sen:te Ltd.  All rights reserved.
//
// Use of this source code is governed by the license in OpenSourceLicense.html
// found in this distribution and at http://www.sente.ch/software/ ,  where the
// original version of this source code can also be found.
// This notice may not be removed from this file.

#import "NSFileManager_CVS.h"
#import <NSFileManager.MkDirs.h>

@implementation NSFileManager (CVS)
- (void)copyCVSAdministrativeFilesFromPath:(NSString *)fromPath to:(NSString *)toPath
{ /*
    NSDirectoryEnumerator *fileEnumerator;
    NSString *path;
    NSString *relativePath;
    NSString *commonPath;
    NSRange commonRange;
    NSRange relativeRange;
    NSString *targetCVSPath;
    NSString *targetCVSDirectoryPath;

    fromPath=[fromPath stringByStandardizingPath];
    commonRange.location=0;
    commonRange.length=[fromPath length];
    relativeRange.location=commonRange.length;
    
    fileEnumerator=[self enumeratorAtPath:fromPath];
    
    while (path=[fileEnumerator nextObject]) {
        if ([[path lastPathComponent] isEqual:@"CVS"]) {
            commonPath=[path substringWithRange:commonRange];
            if ([commonPath isEqual:fromPath]) {
                relativeRange.length=[path length]-relativeRange.location;
                relativePath=[path substringWithRange:relativePath];
                targetCVSPath=[toPath stringByAppendingPathComponent:relativePath];
                targetCVSDirectoryPath=[targetCVSPath stringByRemovingLastPathComponent];
                if ([self createAllDirectoriesAtPath:targetCVSDirectoryPath attributes:nil]) {
                    [self copyPath:path toPath:targetCVSDirectoryPath handler:nil];
                }
            }
        }
    } */
}

- (void)moveCVSAdministrativeFilesFromPath:(NSString *)fromPath to:(NSString *)toPath
{
    NSDirectoryEnumerator *fileEnumerator;
    NSString *relativePath;
    NSString *targetCVSPath;

    fileEnumerator=[self enumeratorAtPath:fromPath];

    while (relativePath=[fileEnumerator nextObject]) {
        if ([[relativePath lastPathComponent] isEqual:@"CVS"]) {
            targetCVSPath=[toPath stringByAppendingPathComponent:relativePath];
            if ([self createAllDirectoriesAtPath:[targetCVSPath stringByDeletingLastPathComponent] attributes:nil]) {
                [self movePath:[fromPath stringByAppendingPathComponent:relativePath] toPath:targetCVSPath handler:nil];
            }
        }
    }
}

- (BOOL) cvlDirectoryExistsAtPath:(NSString *)path
{
    BOOL	isDir = NO;
    
    return [self cvlFileExistsAtPath:path isDirectory:&isDir] && isDir;
}

- (BOOL) cvlFileExistsAtPath:(NSString *)path isDirectory:(BOOL *)isDirectory
{
    if([self fileExistsAtPath:path]){
        if(isDirectory){
            NSDictionary	*fattrs = [self fileAttributesAtPath:path traverseLink:YES];
            // PAS: We need to get the attributes of the Actual file which might be different than
            // this path element if there is alink

            *isDirectory = [fattrs objectForKey:NSFileType] == NSFileTypeDirectory;
        }
        
        return YES;
    }
    else
        return NO;
}

@end
