/*
	$Id: ProgressPanelController.h,v 1.7 2002/07/01 09:52:46 kindov Exp $
*/

// Copyright (c) 1997-2001, Sen:te Ltd.  All rights reserved.
//
// Use of this source code is governed by the license in OpenSourceLicense.html
// found in this distribution and at http://www.sente.ch/software/ ,  where the
// original version of this source code can also be found.
// This notice may not be removed from this file.


#import <AppKit/NSWindowController.h>

#ifdef MACOSX
@class NSMutableArray;
#endif
@class NSTableView;
@class NSButton;


@interface ProgressPanelController : NSWindowController
{
    IBOutlet NSTableView	*tableView;
	NSMutableArray			*requests;
    IBOutlet NSButton		*killButton;
}

+ (id) sharedProgressPanelController;
- (IBAction) interruptSelectedRequests:(id)sender;

@end

/*
	$Log: ProgressPanelController.h,v $
	Revision 1.7  2002/07/01 09:52:46  kindov
	Added kill button
	
	Revision 1.6  2001/04/17 15:05:34  stephane
	Removed MacOS X DP4 specific part
	
	Revision 1.5  2001/03/30 07:51:24  stephane
	Needed to modify #imports for MacOSX (surrounded by #ifdef MACOSX)
	
	Revision 1.4  2000/06/16 08:20:28  mox
	Added declarations for MOXDP4
	
	Revision 1.3  2000/05/08 14:04:11  stephane
	Updated copyright notice
	
	Revision 1.2  2000/02/10 13:03:51  stephane
	Now superclass is NSWindowController; replaced browser with tableView
	
	Revision 1.1  1998/05/07 11:27:04  ja
	Initial revision
	
	Revision 1.2.2.3  1997/12/08 15:35:27  ja
	Updated Request state handling to allow restarting of CvsRequests.
	
	Revision 1.2.2.2  1997/04/02 13:39:31  ja
	Merged with head, removed conflicts (not compiled yet)
	
 * Revision 1.2.2.1  1997/03/25  15:32:30  ja
 * Compiles !
 *
 * Revision 1.3  1997/03/18  15:34:36  vincent
 * big changes: panel size defauts added,  corrected bug at launch. added structure for  multi-viewers, changed menus, added features to status inspector
 *
 * Revision 1.2  1996/05/13  10:23:08  ja
 * CvsRequest added, lazy status done
 *
 * Revision 1.1  1996/03/27  14:58:35  vincent
 * oups, progress class missed
 *
*/

