/* CVLSelectingFilesRequest.h created by me on Thu 03-Sep-1998 */
/*$Id: CVLSelectingFilesRequest.h,v 1.4 2001/03/30 07:55:57 stephane Exp $*/

// Copyright (c) 1997-2001, Sen:te Ltd.  All rights reserved.
//
// Use of this source code is governed by the license in OpenSourceLicense.html
// found in this distribution and at http://www.sente.ch/software/ ,  where the
// original version of this source code can also be found.
// This notice may not be removed from this file.

#ifdef MACOSX
#import <Request.h>
#else
#import <Requests/Request.h>
#endif

#define STATE_WAITING_FOR_STATUSES 1

@class NSArray, WorkAreaViewer;

@interface CVLSelectingFilesRequest : Request
{
    NSSet *filesToSelect;
    NSMutableSet *filesYetToShow;
    WorkAreaViewer *workAreaViewer;
}

+ (NSSet *)requestsForSelectionOfPaths:(NSArray *)fullPaths;
@end
