/* CvsImportRequest.h created by vincent on Wed 26-Nov-1997 */
/*$Id: CvsImportRequest.h,v 1.3 2001/03/30 07:57:03 stephane Exp $*/

// Copyright (c) 1997-2001, Sen:te Ltd.  All rights reserved.
//
// Use of this source code is governed by the license in OpenSourceLicense.html
// found in this distribution and at http://www.sente.ch/software/ ,  where the
// original version of this source code can also be found.
// This notice may not be removed from this file.

#ifdef MACOSX
#import <CvsRequest.h>
#else
#import <Requests/CvsRequest.h>
#endif

@interface CvsImportRequest : CvsRequest
{
    NSString* module;
    NSString* releaseTag;
    NSString* vendorTag;
    NSString* message;
}

+ (id) cvsImportRequestForModule: (NSString*) aModule
                    inRepository: (CvsRepository *)aRepository
                      importPath: (NSString *)aPath
                      releaseTag: (NSString*) rTag
                       vendorTag: (NSString*) vTag
                         message: (NSString*) mesgString;

- (void) setModule: (NSString*) aString;
- (void) setReleaseTag: (NSString*) aString;
- (void) setVendorTag: (NSString*) aString;
- (void) setMessage: (NSString*) aString;

@end
