/* SenBrowserCell.h created by ja on Tue 11-Feb-1997 */

// Copyright (c) 1997-2001, Sen:te Ltd.  All rights reserved.
//
// Use of this source code is governed by the license in OpenSourceLicense.html
// found in this distribution and at http://www.sente.ch/software/ ,  where the
// original version of this source code can also be found.
// This notice may not be removed from this file.

#import <AppKit/AppKit.h>
/*$id$*/

@interface SenBrowserCell : NSBrowserCell
{
    BOOL reusedTabs;
    BOOL reusedCells;
    
    NSMutableArray *tabWidths;
    NSMutableArray *cells;
    NSMutableArray *values;

    int namePosition;
}

+ (SenBrowserCell *)cell;

- (void) addTabWithFixedWidth:(float)width;
- (void) addTabWithProportionalWidth:(float)width;
- (void) setTabFixedWidth:(float)width atIndex:(int)index;
- (void) setTabProportionalWidth:(float)width atIndex:(int)index;

- (void)useTemplate:(SenBrowserCell *)anotherCell;

- (void)setNamePosition:(int)value; //used by the browser and for string value
- (int)namePosition;

- (void) setTabWidths:(NSArray *)someTabs;
- (NSArray *)tabWidths;
- (void) setCells:(NSArray *)someCells;
- (NSArray *)cells;
- (void) setCell:(NSCell *)cell atIndex:(int)index;
- (NSCell *) cellAtIndex:(int)index;

- (void) setObjectValue:(id)value atIndex:(int)index;
- (id)objectValueAtIndex:(int)index;
@end
/*$log$*/
